package com.ruoyi.wechat.domain;

import com.ruoyi.common.core.domain.entity.SysUser;

public class AppletLoginForm {


    // 微信code
    private String code;
    //手机号
    private String phoneNumber;

    // 微信用户基本信息
    private SysUser user;

    // 加密数据
    private String encryptedData;

    // 向量
    private String iv;

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public SysUser getUser() {
        return user;
    }

    public void setUser(SysUser user) {
        this.user = user;
    }

    public String getEncryptedData() {
        return encryptedData;
    }

    public void setEncryptedData(String encryptedData) {
        this.encryptedData = encryptedData;
    }

    public String getIv() {
        return iv;
    }

    public void setIv(String iv) {
        this.iv = iv;
    }
}
